<?php
/**
 * $Id: viewcommand.class.php,v 1.2 2004/11/23 14:17:49 bbisaillon Exp $
 * PHP Web Toolkit Version 1.0.3 Alpha
 *
 * @package phpwebtk
 */
/**
 * class ViewCommand
 *
 * This class defines a binding between a View object and an action, and
 * implements Execute by invoking the corresponding operation(s) on the
 * View.
 *
 * @author Brian Bisaillon <bisailb@myprivacy.ca>
 * @copyright Copyright (C) 2004 by Brian Bisaillon
 * @package phpwebtk
 * @subpackage http
 */
class ViewCommand extends Command {
    // Private members
    private static $ViewCommand;
    protected $Receiver;
    /**
     * function GetInstance
     *
     * This method instantiates a new object from this class; more
     * specifically, it's a singleton instance.
     *
     * @access public
     * @static
     * @return ViewCommand object instance
     */
    public static function GetInstance(View $Receiver) {
        $ViewCommand = null;
        if (TRUE !== ViewCommand::$ViewCommand) {
            ViewCommand::$ViewCommand = new ViewCommand($Receiver);
        }
        ViewCommand::$ViewCommand->Receiver = $Receiver;
        return(ViewCommand::$ViewCommand);
    }
    /**
     * function Execute
     *
     * This method executes the action and returns the result to the
     * invoker.
     *
     * @access public
     */
    public function Execute(Request $Request) {
        $result = $this->Receiver->Action($Request);
        return($result);
    }
}
?>